Skip to content

saveInspectionDocumentAtomic

WRITE

Save inspection document atomic.

POST /api/v1/quality/saveInspectionDocumentAtomic
curl -X POST '<your-host>/api/v1/quality/saveInspectionDocumentAtomic' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "inspectionDocumentId": "string",
    "features": "string",
    "balloons": "string"
  }'
Response
"…"

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "inspectionDocumentId": {
      "type": "string"
    },
    "pdfUrl": {
      "type": "string"
    },
    "pageCount": {
      "type": "number"
    },
    "defaultPageWidth": {
      "type": "number"
    },
    "defaultPageHeight": {
      "type": "number"
    },
    "features": {},
    "balloons": {}
  },
  "required": [
    "inspectionDocumentId",
    "features",
    "balloons"
  ]
}